Gecode::Gist::Extent Class Reference

Extent representing shape of a tree at one depth level More...

`#include <visualnode.hh>`

## Public Member Functions

| Extent (void)
| Default constructor.
| Extent (int l0, int r0)
| Construct with l0 and r0.
| Extent (int width)
| Construct with width width.
void | extend (int deltaL, int deltaR)
| Extend extent by deltaL and deltaR.
void | move (int delta)
| Move extent by delta.

## Public Attributes

int | l
| Left extent.
int | r
| Right extent.

## Detailed Description

Extent representing shape of a tree at one depth level

Definition at line 63 of file visualnode.hh.

## Constructor & Destructor Documentation

## Extent() [1/3]

Gecode::Gist::Extent::Extent | ( | void |  | ) |

inline

Default constructor.

Definition at line 37 of file visualnode.hpp.

## Extent() [2/3]

Gecode::Gist::Extent::Extent | ( | int | l0,
|  | int | r0 )

inline

Construct with l0 and r0.

Definition at line 40 of file visualnode.hpp.

## Extent() [3/3]

Gecode::Gist::Extent::Extent | ( | int | width | ) |

inline

Construct with width width.

Definition at line 43 of file visualnode.hpp.

## Member Function Documentation

## extend()

void Gecode::Gist::Extent::extend | ( | int | deltaL,
|  | int | deltaR )

inline

Extend extent by deltaL and deltaR.

Definition at line 50 of file visualnode.hpp.

## move()

void Gecode::Gist::Extent::move | ( | int | delta | ) |

inline

Move extent by delta.

Definition at line 55 of file visualnode.hpp.

## Member Data Documentation

## l

int Gecode::Gist::Extent::l

Left extent.

Definition at line 66 of file visualnode.hh.

## r

int Gecode::Gist::Extent::r

Right extent.

Definition at line 68 of file visualnode.hh.

The documentation for this class was generated from the following files:

- gecode/gist/visualnode.hh
- gecode/gist/visualnode.hpp